Page MenuHomePhabricator

The CategoryWidget fails on names of Object prototypes
Closed, ResolvedPublic

Description

Steps to reproduce:

In the JavaScript console the following error occurs:

title is undefined

Details

Related Gerrit Patches:

Event Timeline

Fomafix created this task.Jan 11 2018, 10:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 11 2018, 10:42 PM

Change 403893 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] [WIP] Widgets: Allow titles with name of Object.prototypes

https://gerrit.wikimedia.org/r/403893

Fomafix claimed this task.Jan 15 2018, 5:41 PM
Fomafix updated the task description. (Show Details)
matmarex closed this task as Resolved.Jan 22 2018, 8:27 PM

Change 403893 merged by jenkins-bot:
[mediawiki/core@master] Widgets: Allow titles with name of Object.prototypes

https://gerrit.wikimedia.org/r/403893

238482n375 removed Fomafix as the assignee of this task.Jun 15 2018, 8:03 AM
238482n375 triaged this task as Lowest priority.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhpbmcgdGhpcyBzaXRlLCB5b3UgYWdyZWUgdG8gdGhlIFRlcm1zIG9mIFVzZSwgUHJpdmFjeSBQb2xpY3ksIGFuZCBDb2RlIG9mIENvbmR1Y3QuILcgV2lraW1lZGlhIEZvdW5kYXRpb24gtyBQcml2YWN5IFBvbGljeSC3IENvZGUgb2YgQ29uZHVjdCC3IFRlcm1zIG9mIFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Aklapper assigned this task to Fomafix.Jun 15 2018, 12:47 PM